%undefine __cmake_in_source_build
%global bootstrap 1
Summary:  KDE Frameworks 5 Tier 3 solution for advanced plugin and service introspection
Name:     kf5-kservice
Version:  5.110.0
%global   majmin %majmin_ver_kf5
%global   stable %stable_kf5
Release:  1%{?dist}
License:  LGPLv2
URL:      https://invent.kde.org/frameworks/kservice
Source0:  http://download.kde.org/%{stable}/frameworks/%{majmin}/kservice-%{version}.tar.xz
Patch3000:kservice-5.17.0-vfolder_spam.patch


BuildRequires:  extra-cmake-modules >= %{majmin}, kf5-kconfig-devel >= %{majmin}, kf5-kcoreaddons-devel >= %{majmin}
BuildRequires:  kf5-kcrash-devel >= %{majmin}, kf5-kdbusaddons-devel >= %{majmin}, kf5-rpm-macros
BuildRequires:  kf5-kdbusaddons-devel >= %{majmin}, kf5-kdoctools-devel >= %{majmin}, kf5-ki18n-devel >= %{majmin},
BuildRequires:  qt5-qtbase-devel
BuildRequires:  flex, bison

%if ! 0%{?bootstrap:1}
Recommends:       desktop-menus
%endif

%description
KDE Frameworks 5 Tier 3 solution for advanced plugin and service
introspection.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       kf5-kconfig-devel >= %{majmin}
Requires:       kf5-kcoreaddons-devel >= %{majmin}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.



%prep
%autosetup -n kservice-%{version} -p1



%build
%{cmake_kf5}
%cmake_build



%install
%cmake_install

%find_lang %{name} --all-name --with-man

mv %{buildroot}%{_kf5_sysconfdir}/xdg/menus/applications.menu \
   %{buildroot}%{_kf5_sysconfdir}/xdg/menus/kf5-applications.menu

mkdir -p %{buildroot}%{_kf5_datadir}/kservices5
mkdir -p %{buildroot}%{_kf5_datadir}/kservicetypes5



%files -f %{name}.lang
%license LICENSES/*.txt
%doc README.md
%{_kf5_bindir}/kbuildsycoca5
%{_kf5_libdir}/libKF5Service.so.5*
%{_kf5_sysconfdir}/xdg/menus/kf5-applications.menu
%{_kf5_datadir}/kservicetypes5/
%{_kf5_datadir}/qlogging-categories5/kservice.*
%{_kf5_datadir}/kservices5/
%{_kf5_mandir}/man8/*.8*

%files devel
%{_kf5_libdir}/libKF5Service.so
%{_kf5_libdir}/cmake/KF5Service/
%{_kf5_includedir}/KService/
%{_kf5_archdatadir}/mkspecs/modules/qt_KService.pri


%changelog
* Mon Nov 13 2023 Chair <chairou@tencent.com> - 5.110.0-1
- Init
